#
# spec file for package rubygem-tmuxinator
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-tmuxinator
Version:        3.0.5
Release:        1.6
%define mod_name tmuxinator
%define mod_full_name %{mod_name}-%{version}
# MANUAL
%if 0%{?suse_version} && 0%{?suse_version} < 1330
%define rb_build_versions ruby23 ruby24 ruby25
%define rb_default_ruby_abi ruby:2.3.0 ruby:2.4.0 ruby:2.5.0
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.6.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            https://github.com/tmuxinator/tmuxinator
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Create and manage complex tmux sessions easily
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Create and manage complex tmux sessions easily.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  -f
# MANUAL
# delete custom files here or do other fancy stuff
for i in $(find %{buildroot} -type l -name mux.fish) ; do
  ln -s -v -f tmuxinator.fish $i ;
done
# /MANUAL

%gem_packages

%changelog
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.0.5
  no changelog found
* Mon Feb 21 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.0.2
  no changelog found
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 3.0.1
  no changelog found
* Sat Apr 17 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 2.0.3
  * add support for tmux 3.2
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.0.2
  no changelog found
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.0.1
  no changelog found
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.1.4
  no changelog found
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.1.1
  no changelog found
* Sun May  5 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.1.0
  no changelog found
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 0.15.0
  no changelog found
* Wed Dec 19 2018 Stephan Kulow <coolo@suse.com>
- updated to version 0.14.0
  no changelog found
* Fri Nov  9 2018 Andreas Schneider <asn@cryptomilk.org>
- Update to version 0.13.0
  * Prevent optargs from being lost when using the project-config flag
  * Add support for tmux 2.8
* Tue Jul  3 2018 factory-auto@kulow.org
- updated to version 0.12.0
  no changelog found
* Mon Jun 11 2018 factory-auto@kulow.org
- updated to version 0.11.3
  no changelog found
* Wed May 16 2018 factory-auto@kulow.org
- updated to version 0.11.2
  no changelog found
* Tue Apr 24 2018 factory-auto@kulow.org
- updated to version 0.11.1
  no changelog found
* Sat Mar 31 2018 factory-auto@kulow.org
- updated to version 0.11.0
  no changelog found
* Tue Feb 27 2018 factory-auto@kulow.org
- updated to version 0.10.1
  no changelog found
* Mon Nov 27 2017 mrueckert@suse.de
- add post install scriptlet to fix wrong symlink
* Mon Nov 27 2017 mrueckert@suse.de
- limit to 2.3 or newer
* Mon Nov 27 2017 mrueckert@suse.de
- update to 0.10.0
  - Bugfixes
  - Fix a bug causing the user's global pane-base-index setting
    not to be
  - respected
  - Remove Object#blank? monkey patch (#458)
  - Add Project Configuration Location entry to README (#360,
    [#534])
  - Attach original exception message to exception re-raised by
    Project::load
  - Remove unused attr_readers from Tmuxinator::Window
  - Add ability for pre_window commands to parse yaml arrays
  - Refactor Tmuxinator::Config by extracting a
    Tmuxinator::Doctor class (#457)
  - Fix a bug where startup_window and startup_pane were not
    respected if running
  - tmuxinator from within an existing tmux session (#537)
  - Fix a bug causing the pane-base-index option to override
    base-index
  - Misc
  - Removed support for Ruby 1.9.3, 2.0, & 2.1
  - Move gem dependencies from Gemfile to tmuxinator.gemspec
  - Add tmux 2.2 and 2.3 the TravisCI test matrix
  - Fix typos
  - Support user-specified and XDG Base Dirs configuration
    directories
  - New Features
  - add on_project_start, on_project_first_start,
    on_project_restart, on_project_exit and on_project_stop hooks
    for project
* Thu Oct 13 2016 coolo@suse.com
- updated to version 0.9.0
  no changelog found
* Sat Oct  8 2016 coolo@suse.com
- updated to version 0.8.1
  no changelog found
* Tue Dec 15 2015 coolo@suse.com
- updated to version 0.7.1
  no changelog found
* Wed Nov 11 2015 coolo@suse.com
- updated to version 0.7.0
  no changelog found
* Wed Jul  8 2015 tboerger@suse.com
- Initial packaging of 0.6.11
